%define upstream_name    Locale-Codes
%define upstream_version 3.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Standard language codes (such as ISO 639)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
Locale::Codes is a distribution containing a set of modules. The modules
each deal with different types of codes which identify parts of the locale
including languages, countries, currency, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 3.240.0-3.mga3
+ Revision: 405504
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.240.0-2.mga3
+ Revision: 369129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3.240.0-1.mga3
+ Revision: 341873
- update to 3.24

* Wed Nov 07 2012 jquelin <jquelin> 3.230.0-2.mga3
+ Revision: 315526
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 3.230.0-1.mga3
+ Revision: 295342
- update to 3.23

* Mon Sep 17 2012 jquelin <jquelin> 3.220.0-3.mga3
+ Revision: 294849
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 3.220.0-2.mga3
+ Revision: 284590
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 3.220.0-1.mga3
+ Revision: 254139
- update to 3.22

* Tue Mar 06 2012 jquelin <jquelin> 3.210.0-1.mga2
+ Revision: 219805
- update to 3.21

* Mon Dec 12 2011 jquelin <jquelin> 3.200.0-1.mga2
+ Revision: 180908
- update to 3.20

* Fri Nov 04 2011 jquelin <jquelin> 3.180.0-2.mga2
+ Revision: 162812
- take priority over module bundled with perl 5.14.2

* Fri Sep 02 2011 kharec <kharec> 3.180.0-1.mga2
+ Revision: 137923
- update to 3.18

* Fri Jul 08 2011 jquelin <jquelin> 3.170.0-1.mga2
+ Revision: 120352
- update to 3.17

* Tue Mar 08 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 66602
- update to 3.16

* Fri Feb 18 2011 jquelin <jquelin> 3.150.0-3.mga1
+ Revision: 53703
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 32135
- mageia rebuild
- imported package perl-Locale-Codes

